<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/x11info.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d18178d2ea326c53ebbe8cdc4c7ebc8a.html">qxtglobalshortcut5</a></li><li class="navelem"><a class="el" href="dir_1691cf73dec13ede6b5775ad7051671e.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">x11info.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="x11info_8cpp.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (C) 2013  Il&#39;inykh Sergey (rion)</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * This program is free software; you can redistribute it and/or</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * modify it under the terms of the GNU General Public License</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * as published by the Free Software Foundation; either version 2</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * of the License, or (at your option) any later version.</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * This program is distributed in the hope that it will be useful,</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * GNU General Public License for more details.</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * You should have received a copy of the GNU General Public License</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> * along with this library; if not, write to the Free Software</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="x11info_8h.html">x11info.h</a>&quot;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#ifdef HAVE_QT5</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor"># include &lt;X11/Xlib.h&gt;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor"># include &lt;xcb/xcb.h&gt;</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor"># include &lt;QtGlobal&gt;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor"># include &lt;QX11Info&gt;</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classX11Info.html#a7f43f4869344f36f1541af7b622d4cb3">   31</a></span>&#160;<a class="code" href="x11info_8h.html#a8eac9cd918bbb974619385adffa7c81b">Display</a>* <a class="code" href="classX11Info.html#a7f43f4869344f36f1541af7b622d4cb3">X11Info::display</a>()</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;{</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#ifdef HAVE_QT5</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordflow">if</span> (!<a class="code" href="classX11Info.html#accdf64e1e808cc6d3d117184ad33a33f">_display</a>) {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <a class="code" href="classX11Info.html#accdf64e1e808cc6d3d117184ad33a33f">_display</a> = XOpenDisplay(NULL);</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    }</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classX11Info.html#accdf64e1e808cc6d3d117184ad33a33f">_display</a>;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordflow">return</span> QX11Info::display();</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classX11Info.html#acfbbe22db51a8aa604ad19f9de3dc3be">   43</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classX11Info.html#acfbbe22db51a8aa604ad19f9de3dc3be">X11Info::appRootWindow</a>(<span class="keywordtype">int</span> screen)</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;{</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#ifdef HAVE_QT5</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keywordflow">return</span> screen == -1?</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;                XDefaultRootWindow(<a class="code" href="classX11Info.html#a7f43f4869344f36f1541af7b622d4cb3">display</a>()) :</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;                XRootWindowOfScreen(XScreenOfDisplay(<a class="code" href="classX11Info.html#a7f43f4869344f36f1541af7b622d4cb3">display</a>(), screen));</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordflow">return</span> QX11Info::appRootWindow(screen);</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;}</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classX11Info.html#a88e71d3645a582340dbd54626efcfc86">   54</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="classX11Info.html#a88e71d3645a582340dbd54626efcfc86">X11Info::appScreen</a>()</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;{</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#ifdef HAVE_QT5</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">    #error X11Info::appScreen not implemented for Qt5! You must skip this plugin.</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordflow">return</span> QX11Info::appScreen();</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;}</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#ifdef HAVE_QT5</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;xcb_connection_t *X11Info::xcbConnection()</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;{</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keywordflow">if</span> (!_xcb) {</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        _xcb = xcb_connect(NULL, &amp;<a class="code" href="classX11Info.html#af3bddd8816b1531435535cb1096213e5">_xcbPreferredScreen</a>);</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        Q_ASSERT(_xcb);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    }</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keywordflow">return</span> _xcb;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;}</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;xcb_connection_t* X11Info::_xcb = 0;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160; </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<a class="code" href="x11info_8h.html#a8eac9cd918bbb974619385adffa7c81b">Display</a>* <a class="code" href="classX11Info.html#accdf64e1e808cc6d3d117184ad33a33f">X11Info::_display</a> = 0;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="keywordtype">int</span> <a class="code" href="classX11Info.html#af3bddd8816b1531435535cb1096213e5">X11Info::_xcbPreferredScreen</a> = 0;</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ax11info_8h_html"><div class="ttname"><a href="x11info_8h.html">x11info.h</a></div></div>
<div class="ttc" id="aclassX11Info_html_a7f43f4869344f36f1541af7b622d4cb3"><div class="ttname"><a href="classX11Info.html#a7f43f4869344f36f1541af7b622d4cb3">X11Info::display</a></div><div class="ttdeci">static Display * display()</div><div class="ttdef"><b>Definition:</b> <a href="x11info_8cpp_source.html#l00031">x11info.cpp:31</a></div></div>
<div class="ttc" id="aclassX11Info_html_acfbbe22db51a8aa604ad19f9de3dc3be"><div class="ttname"><a href="classX11Info.html#acfbbe22db51a8aa604ad19f9de3dc3be">X11Info::appRootWindow</a></div><div class="ttdeci">static unsigned long appRootWindow(int screen=-1)</div><div class="ttdef"><b>Definition:</b> <a href="x11info_8cpp_source.html#l00043">x11info.cpp:43</a></div></div>
<div class="ttc" id="aclassX11Info_html_a88e71d3645a582340dbd54626efcfc86"><div class="ttname"><a href="classX11Info.html#a88e71d3645a582340dbd54626efcfc86">X11Info::appScreen</a></div><div class="ttdeci">static int appScreen()</div><div class="ttdef"><b>Definition:</b> <a href="x11info_8cpp_source.html#l00054">x11info.cpp:54</a></div></div>
<div class="ttc" id="aclassX11Info_html_af3bddd8816b1531435535cb1096213e5"><div class="ttname"><a href="classX11Info.html#af3bddd8816b1531435535cb1096213e5">X11Info::_xcbPreferredScreen</a></div><div class="ttdeci">static int _xcbPreferredScreen</div><div class="ttdef"><b>Definition:</b> <a href="x11info_8h_source.html#l00034">x11info.h:34</a></div></div>
<div class="ttc" id="ax11info_8h_html_a8eac9cd918bbb974619385adffa7c81b"><div class="ttname"><a href="x11info_8h.html#a8eac9cd918bbb974619385adffa7c81b">Display</a></div><div class="ttdeci">struct _XDisplay Display</div><div class="ttdef"><b>Definition:</b> <a href="x11info_8h_source.html#l00023">x11info.h:23</a></div></div>
<div class="ttc" id="aclassX11Info_html_accdf64e1e808cc6d3d117184ad33a33f"><div class="ttname"><a href="classX11Info.html#accdf64e1e808cc6d3d117184ad33a33f">X11Info::_display</a></div><div class="ttdeci">static Display * _display</div><div class="ttdef"><b>Definition:</b> <a href="x11info_8h_source.html#l00030">x11info.h:30</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
